Skip to main content
`Ctrl`+`K`

# STReset

Resets the `ST` context to the initial state (prior to setup) and destroys any allocated `Vec`s and `Mat`s.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STReset(ST st)

Collective

## Input Parameter

- st - the spectral transformation context

## See Also

ST: Spectral Transformation, `STDestroy()`

## Level

advanced

## Location

src/sys/classes/st/interface/stfunc.c

## Implementations

STReset_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages